| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Enumerations | Functions
GaudiMath::Interpolation Namespace Reference

## Enumerations
enum | Type { Linear = 0, Polynomial, Cspline, Cspline_Periodic, Akima, Akima_Periodic }

## Functions
StatusCode | parse (Type &, const std::string &)
std::string | toString (const Type &)
std::ostream & | toStream (const Type &, std::ostream &)
std::ostream & | operator<< (std::ostream &os, const Type &t)

## Enumeration Type Documentation

enum GaudiMath::Interpolation::Type

Enumerator
Linear |
Polynomial |
Cspline |
Cspline_Periodic |
Akima |
Akima_Periodic |

Definition at line 15 of file Interpolation.h.

15 {
16 Linear = 0, // linear interpolation
17 Polynomial, // polinomial interpolation
18 Cspline, // Cubic spline with natural boundary conditions
19 Cspline_Periodic, // Cubic spline with periodic boundary conditions
20 Akima, // Akima spline with natural boundary conditions
21 Akima_Periodic // Akima spline with periodic boundary conditions
22 };
GaudiMath::Interpolation::Akima
Definition: Interpolation.h:20
GaudiMath::Interpolation::Polynomial
Definition: Interpolation.h:17
GaudiMath::Interpolation::Cspline
Definition: Interpolation.h:18
GaudiMath::Interpolation::Akima_Periodic
Definition: Interpolation.h:21
GaudiMath::Interpolation::Cspline_Periodic
Definition: Interpolation.h:19
GaudiMath::Interpolation::Linear
Definition: Interpolation.h:16

## Function Documentation

std::ostream& GaudiMath::Interpolation::operator<< | ( | std::ostream & | os,
|  | const Type & | t
| ) |  |
| inline

Definition at line 27 of file Interpolation.h.

27 { return toStream( t, os ); }
GaudiMath::Interpolation::toStream
std::ostream & toStream(const Type &, std::ostream &)
Definition: Interpolation.cpp:47

StatusCode GaudiMath::Interpolation::parse | ( | Type & | t,
|  | const std::string & | in
| ) |  |

Definition at line 41 of file Interpolation.cpp.

41 { return Gaudi::Parsers::parse_( t, in ); }
Gaudi::Parsers::parse_
StatusCode parse_(ResultT &result, const std::string &input)
Definition: ParsersFactory.h:33

std::ostream & GaudiMath::Interpolation::toStream | ( | const Type & | t,
|  | std::ostream & | os
| ) |  |

Definition at line 47 of file Interpolation.cpp.

47 { return os << std::quoted( toString( t ), '\'' ); }
GaudiMath::Interpolation::toString
std::string toString(const Type &)
Definition: Interpolation.cpp:42

std::string GaudiMath::Interpolation::toString | ( | const Type & | t | ) |

Definition at line 42 of file Interpolation.cpp.

43 {
44 assert( 0 <= t && t <= Type::Akima_Periodic );
45 return table[t];
46 }
GaudiMath::Interpolation::Akima_Periodic
Definition: Interpolation.h:21